Package org.jfree.layouting.renderer.model.page

## Interface PageGrid

- All Superinterfaces:
    `java.lang.Cloneable`
  All Known Implementing Classes:
    `DefaultPageGrid`

      public interface PageGrid
      extends java.lang.Cloneable

  The page grid describes the logical page. That grid consists of PageGridAreas, which correspond to the usable content-PageArea. PageGridAreas are synchronized against each other - the smallest width or height defines the available column space. Modifications to PageAreas are only valid, if they are not locked.
  Author:
    Thomas Morgner

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `clone​()` |
    `int` | `getColumnCount​()` |
    `PhysicalPageBox` | `getPage​(int row, int col)` |
    `int` | `getRowCount​()` |

- - ### Method Detail

    - #### getPage

          PhysicalPageBox getPage​(int row,
                                  int col)

    - #### getRowCount

          int getRowCount​()

    - #### getColumnCount

          int getColumnCount​()

    - #### clone

          java.lang.Object clone​()
                          throws java.lang.CloneNotSupportedException

      Throws:
        `java.lang.CloneNotSupportedException`